/v1/checkpoints to get the same results.
Endpoint
Authentication
Send your token in theAuthorization: Bearer <jwt-or-api-key> header.
Response
integer
Always 0 for success.
string
Empty on success.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -s https://ariapin.example.com/v1/models \
-H "Authorization: Bearer $ARIA_PIN_TOKEN"
{
"code": 0,
"message": "",
"data": {
"items": [
{
"id": "mdl_01J8Q2R4TFK9Z0X",
"name": "Llama-3-8B-Instruct",
"status": "ready"
}
]
}
}
Retrieve a paginated list of all models registered in the PIN service. Also accessible via the checkpoints alias endpoint.
curl -s https://ariapin.example.com/v1/models \
-H "Authorization: Bearer $ARIA_PIN_TOKEN"
{
"code": 0,
"message": "",
"data": {
"items": [
{
"id": "mdl_01J8Q2R4TFK9Z0X",
"name": "Llama-3-8B-Instruct",
"status": "ready"
}
]
}
}
/v1/checkpoints to get the same results.
GET /v1/models
Authorization: Bearer <jwt-or-api-key> header.
curl -s https://ariapin.example.com/v1/models \
-H "Authorization: Bearer $ARIA_PIN_TOKEN"
{
"code": 0,
"message": "",
"data": {
"items": [
{
"id": "mdl_01J8Q2R4TFK9Z0X",
"name": "Llama-3-8B-Instruct",
"status": "ready"
}
]
}
}
Was this page helpful?